Get exception lists
- Base URL
-
https://{kibana_url}
- GET /api/exception_lists/_find
Get a list of all exception list containers.
Query parameters
-
filterstring -
Filters the returned results according to the value of the specified field.
Uses the
so type.field name:fieldvalue syntax, whereso typecan be:exception-list: Specify a space-aware exception list.exception-list-agnostic: Specify an exception list that is shared across spaces.
-
Example:
exception-list.attributes.name:%Detection%20List
Responses
Successful response
-
dataobjectrequired -
_versionstring -
The version id, normally returned by the API when the item was retrieved. Use it ensure updates are done against the latest version.
-
list_idstring · format: nonempty · min length: 1required -
The exception list's human-readable string identifier.
For endpoint artifacts, use one of the following values:
endpoint_list: Elastic Endpoint exceptions listendpoint_trusted_apps: Trusted applications listendpoint_trusted_devices: Trusted devices listendpoint_event_filters: Event filters listendpoint_host_isolation_exceptions: Host isolation exceptions listendpoint_blocklists: Blocklist
-
namespace_typerequired -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
os_typesenum -
Use this field to specify the operating system. Only enter one value.
-
Values:
linuxmacoswindows -
String array containing words and phrases to help categorize exception containers.
-
tie_breaker_idstringrequired -
Field used in search to ensure all containers are sorted and returned correctly.
-
typerequired -
The type of exception list to be created. Different list types may denote where they can be utilized.
-
Values:
detectionrule_defaultendpointendpoint_trusted_appsendpoint_trusted_devicesendpoint_eventsendpoint_host_isolation_exceptionsendpoint_blocklistsendpoint_custom_yara_signatures
Invalid input data response
Unsuccessful authentication response
Not enough privileges response